Bug 16448 - Perlcritic errors introduced by 12478
Summary: Perlcritic errors introduced by 12478
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12478
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-05 14:16 UTC by Tomás Cohen Arazi
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16448: Fix perlcritic errors introduced by 12478 (1.51 KB, patch)
2016-05-05 14:22 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16448: Fix perlcritic errors introduced by 12478 (1.63 KB, patch)
2016-05-05 19:19 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 16448: Fix perlcritic errors introduced by 12478 (1.68 KB, patch)
2016-05-05 20:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-05-05 14:16:48 UTC
kohadev-koha@kohadevbox:/home/vagrant/kohaclone$ prove t/00-testcritic.t 
t/00-testcritic.t .. 113/728 
#   Failed test 'Test::Perl::Critic for "catalogue/search.pl"'
#   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
# 
# Perl::Critic found these violations in "catalogue/search.pl":
# "@results" is declared but not used at line 475, column 1.  Unused variables clutter code and make it harder to read.  (Severity: 3)
t/00-testcritic.t .. 262/728 
#   Failed test 'Test::Perl::Critic for "Koha/Authority.pm"'
#   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
# 
# Perl::Critic found these violations in "Koha/Authority.pm":
# "return" statement with explicit "undef" at line 67, column 9.  See page 199 of PBP.  (Severity: 5)
t/00-testcritic.t .. 723/728 # Looks like you failed 2 tests of 728.
t/00-testcritic.t .. Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/728 subtests 

Test Summary Report
-------------------
t/00-testcritic.t (Wstat: 512 Tests: 728 Failed: 2)
  Failed tests:  114, 265
  Non-zero exit status: 2
Files=1, Tests=728, 139 wallclock secs ( 0.20 usr  0.01 sys + 127.21 cusr 10.62 csys = 138.04 CPU)
Result: FAIL
kohadev-koha@kohadevbox:/home/vagrant/kohaclone$
Comment 1 Tomás Cohen Arazi 2016-05-05 14:22:27 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-05-05 19:19:28 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-05-05 20:55:43 UTC
Created attachment 51261 [details] [review]
[PASSED QA] Bug 16448: Fix perlcritic errors introduced by 12478

Bug 12478 introduced two perlcritic errors. This patch fixes them.

To test:
- On master, run:
  $ prove t/00-testcritic.t
=> FAIL: catalogue/search.pl and Koha/Authority.pm fail the critic tests.
- Apply the patch
- Run:
  $ prove t/00-testcritic.t
=> SUCCESS: All happy
- Sign off :-D

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
All test successful. Needs $ export TEST_QA=1

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-05-05 21:27:37 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 5 Julian Maurice 2016-05-16 09:37:43 UTC
Not needed in stable versions, status changed to RESOLVED